<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.trs.ggzyexchange.mapper.QtjyBidpublicityMapper">

    <select id="queryQtjyBidpublicityAllList" resultType="com.trs.ggzyexchange.entity.TenderDetailsVo">
        select
            qb.SOURCE_DATA_KEY sourceDataKey,
            qb.project_code projectCode,
            qb.PROJECT_NAME projectName,
            qb.TENDER_PROJECT_CODE tenderProjectCode,
            qb.ANNOUNCEMENT_TITLE noticeName,
            qb.ANNOUNCEMENT_CONNECT noticeContent,
            qb.PUBLISHING_TIME noticeSendTime,
            qtp.REGION_CODE regionCode,
            qtp.INDUSTRIES_TYPE industriesTypeCode,
            qb.PLATFORM_CODE platformCode,
            qb.BULLETIN_TYPE bulletinTypeCode
        from
            QTJY_BIDPUBLICITY qb
                left join QTJY_TENDER_PROJECT qtp
                          on qb.TENDER_PROJECT_CODE = qtp.TENDER_PROJECT_CODE
    </select>
</mapper>
